UpnpSubscriptionRequest.c File Reference

Source file for UpnpSubscriptionRequest methods. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "UpnpSubscriptionRequest.h"`
Include dependency graph for UpnpSubscriptionRequest.c:

## Data Structures

struct | s_UpnpSubscriptionRequest

## Functions

UpnpSubscriptionRequest * | UpnpSubscriptionRequest_new ()
void | UpnpSubscriptionRequest_delete (UpnpSubscriptionRequest *q)
int | UpnpSubscriptionRequest_assign (UpnpSubscriptionRequest *p, const UpnpSubscriptionRequest *q)
UpnpSubscriptionRequest * | UpnpSubscriptionRequest_dup (const UpnpSubscriptionRequest *q)
const UpnpString * | UpnpSubscriptionRequest_get_ServiceId (const UpnpSubscriptionRequest *p)
int | UpnpSubscriptionRequest_set_ServiceId (UpnpSubscriptionRequest *p, const UpnpString *s)
size_t | UpnpSubscriptionRequest_get_ServiceId_Length (const UpnpSubscriptionRequest *p)
const char * | UpnpSubscriptionRequest_get_ServiceId_cstr (const UpnpSubscriptionRequest *p)
int | UpnpSubscriptionRequest_strcpy_ServiceId (UpnpSubscriptionRequest *p, const char *s)
int | UpnpSubscriptionRequest_strncpy_ServiceId (UpnpSubscriptionRequest *p, const char *s, size_t n)
void | UpnpSubscriptionRequest_clear_ServiceId (UpnpSubscriptionRequest *p)
const UpnpString * | UpnpSubscriptionRequest_get_UDN (const UpnpSubscriptionRequest *p)
int | UpnpSubscriptionRequest_set_UDN (UpnpSubscriptionRequest *p, const UpnpString *s)
size_t | UpnpSubscriptionRequest_get_UDN_Length (const UpnpSubscriptionRequest *p)
const char * | UpnpSubscriptionRequest_get_UDN_cstr (const UpnpSubscriptionRequest *p)
int | UpnpSubscriptionRequest_strcpy_UDN (UpnpSubscriptionRequest *p, const char *s)
int | UpnpSubscriptionRequest_strncpy_UDN (UpnpSubscriptionRequest *p, const char *s, size_t n)
void | UpnpSubscriptionRequest_clear_UDN (UpnpSubscriptionRequest *p)
const UpnpString * | UpnpSubscriptionRequest_get_SID (const UpnpSubscriptionRequest *p)
int | UpnpSubscriptionRequest_set_SID (UpnpSubscriptionRequest *p, const UpnpString *s)
size_t | UpnpSubscriptionRequest_get_SID_Length (const UpnpSubscriptionRequest *p)
const char * | UpnpSubscriptionRequest_get_SID_cstr (const UpnpSubscriptionRequest *p)
int | UpnpSubscriptionRequest_strcpy_SID (UpnpSubscriptionRequest *p, const char *s)
int | UpnpSubscriptionRequest_strncpy_SID (UpnpSubscriptionRequest *p, const char *s, size_t n)
void | UpnpSubscriptionRequest_clear_SID (UpnpSubscriptionRequest *p)

## Detailed Description

Source file for UpnpSubscriptionRequest methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Function Documentation

## UpnpSubscriptionRequest_assign()

int UpnpSubscriptionRequest_assign | ( | UpnpSubscriptionRequest * | p,
|  | const UpnpSubscriptionRequest * | q
| ) |  |

Assignment operator

References UpnpSubscriptionRequest_get_ServiceId(), UpnpSubscriptionRequest_get_SID(), UpnpSubscriptionRequest_get_UDN(), UpnpSubscriptionRequest_set_ServiceId(), UpnpSubscriptionRequest_set_SID(), and UpnpSubscriptionRequest_set_UDN().

Referenced by UpnpSubscriptionRequest_dup().

## UpnpSubscriptionRequest_clear_ServiceId()

void UpnpSubscriptionRequest_clear_ServiceId | ( | UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_clear_ServiceId

References UpnpString_clear().

## UpnpSubscriptionRequest_clear_SID()

void UpnpSubscriptionRequest_clear_SID | ( | UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_clear_SID

References UpnpString_clear().

## UpnpSubscriptionRequest_clear_UDN()

void UpnpSubscriptionRequest_clear_UDN | ( | UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_clear_UDN

References UpnpString_clear().

## UpnpSubscriptionRequest_delete()

void UpnpSubscriptionRequest_delete | ( | UpnpSubscriptionRequest * | p | ) |

Destructor

References UpnpString_delete().

Referenced by gena_process_subscription_request().

## UpnpSubscriptionRequest_dup()

UpnpSubscriptionRequest * UpnpSubscriptionRequest_dup | ( | const UpnpSubscriptionRequest * | p | ) |

Copy Constructor

References UpnpSubscriptionRequest_assign(), and UpnpSubscriptionRequest_new().

## UpnpSubscriptionRequest_get_ServiceId()

const UpnpString * UpnpSubscriptionRequest_get_ServiceId | ( | const UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_get_ServiceId

Referenced by SampleUtil_PrintEvent(), TvDeviceHandleSubscriptionRequest(), UpnpSubscriptionRequest_assign(), UpnpSubscriptionRequest_get_ServiceId_cstr(), and UpnpSubscriptionRequest_get_ServiceId_Length().

## UpnpSubscriptionRequest_get_ServiceId_cstr()

const char * UpnpSubscriptionRequest_get_ServiceId_cstr | ( | const UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_get_ServiceId_cstr

References UpnpString_get_String(), and UpnpSubscriptionRequest_get_ServiceId().

## UpnpSubscriptionRequest_get_ServiceId_Length()

size_t UpnpSubscriptionRequest_get_ServiceId_Length | ( | const UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_get_ServiceId_Length

References UpnpString_get_Length(), and UpnpSubscriptionRequest_get_ServiceId().

## UpnpSubscriptionRequest_get_SID()

const UpnpString * UpnpSubscriptionRequest_get_SID | ( | const UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_get_SID

Referenced by SampleUtil_PrintEvent(), UpnpSubscriptionRequest_assign(), UpnpSubscriptionRequest_get_SID_cstr(), and UpnpSubscriptionRequest_get_SID_Length().

## UpnpSubscriptionRequest_get_SID_cstr()

const char * UpnpSubscriptionRequest_get_SID_cstr | ( | const UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_get_SID_cstr

References UpnpString_get_String(), and UpnpSubscriptionRequest_get_SID().

Referenced by TvDeviceHandleSubscriptionRequest().

## UpnpSubscriptionRequest_get_SID_Length()

size_t UpnpSubscriptionRequest_get_SID_Length | ( | const UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_get_SID_Length

References UpnpString_get_Length(), and UpnpSubscriptionRequest_get_SID().

## UpnpSubscriptionRequest_get_UDN()

const UpnpString * UpnpSubscriptionRequest_get_UDN | ( | const UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_get_UDN

Referenced by SampleUtil_PrintEvent(), UpnpSubscriptionRequest_assign(), UpnpSubscriptionRequest_get_UDN_cstr(), and UpnpSubscriptionRequest_get_UDN_Length().

## UpnpSubscriptionRequest_get_UDN_cstr()

const char * UpnpSubscriptionRequest_get_UDN_cstr | ( | const UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_get_UDN_cstr

References UpnpString_get_String(), and UpnpSubscriptionRequest_get_UDN().

Referenced by TvDeviceHandleSubscriptionRequest().

## UpnpSubscriptionRequest_get_UDN_Length()

size_t UpnpSubscriptionRequest_get_UDN_Length | ( | const UpnpSubscriptionRequest * | p | ) |

UpnpSubscriptionRequest_get_UDN_Length

References UpnpString_get_Length(), and UpnpSubscriptionRequest_get_UDN().

## UpnpSubscriptionRequest_new()

UpnpSubscriptionRequest * UpnpSubscriptionRequest_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by gena_process_subscription_request(), and UpnpSubscriptionRequest_dup().

## UpnpSubscriptionRequest_set_ServiceId()

int UpnpSubscriptionRequest_set_ServiceId | ( | UpnpSubscriptionRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpSubscriptionRequest_set_ServiceId

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpSubscriptionRequest_assign().

## UpnpSubscriptionRequest_set_SID()

int UpnpSubscriptionRequest_set_SID | ( | UpnpSubscriptionRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpSubscriptionRequest_set_SID

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpSubscriptionRequest_assign().

## UpnpSubscriptionRequest_set_UDN()

int UpnpSubscriptionRequest_set_UDN | ( | UpnpSubscriptionRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpSubscriptionRequest_set_UDN

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpSubscriptionRequest_assign().

## UpnpSubscriptionRequest_strcpy_ServiceId()

int UpnpSubscriptionRequest_strcpy_ServiceId | ( | UpnpSubscriptionRequest * | p,
|  | const char * | s
| ) |  |

UpnpSubscriptionRequest_strcpy_ServiceId

References UpnpString_set_String().

Referenced by gena_process_subscription_request().

## UpnpSubscriptionRequest_strcpy_SID()

int UpnpSubscriptionRequest_strcpy_SID | ( | UpnpSubscriptionRequest * | p,
|  | const char * | s
| ) |  |

UpnpSubscriptionRequest_strcpy_SID

References UpnpString_set_String().

Referenced by gena_process_subscription_request().

## UpnpSubscriptionRequest_strcpy_UDN()

int UpnpSubscriptionRequest_strcpy_UDN | ( | UpnpSubscriptionRequest * | p,
|  | const char * | s
| ) |  |

UpnpSubscriptionRequest_strcpy_UDN

References UpnpString_set_String().

Referenced by gena_process_subscription_request().

## UpnpSubscriptionRequest_strncpy_ServiceId()

int UpnpSubscriptionRequest_strncpy_ServiceId | ( | UpnpSubscriptionRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpSubscriptionRequest_strncpy_ServiceId

References UpnpString_set_StringN().

## UpnpSubscriptionRequest_strncpy_SID()

int UpnpSubscriptionRequest_strncpy_SID | ( | UpnpSubscriptionRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpSubscriptionRequest_strncpy_SID

References UpnpString_set_StringN().

## UpnpSubscriptionRequest_strncpy_UDN()

int UpnpSubscriptionRequest_strncpy_UDN | ( | UpnpSubscriptionRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpSubscriptionRequest_strncpy_UDN

References UpnpString_set_StringN().